## org.apache.ivy.osgi.p2
Class P2Artifact

    java.lang.Object
      org.apache.ivy.osgi.p2.P2Artifact

    public class P2Artifact

extends java.lang.Object

Constructor Summary
`P2Artifact(java.lang.String id, Version version, java.lang.String classifier)`

Method Summary
`java.lang.String` `getClassifier()`
`java.lang.String` `getId()`
`Version` `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P2Artifact

    public P2Artifact(java.lang.String id,
                      Version version,
                      java.lang.String classifier)

Method Detail

### getClassifier

    public java.lang.String getClassifier()

### getId

    public java.lang.String getId()

### getVersion

    public Version getVersion()